<?php
$uid1="$row_cur_uid[uid]";
$saaid="$row_akt[saaid]";
########Kontaktdaten HS #####################
$db = dbconnect();
$res_ansp = $db->query("SELECT wert1 name, wert2 mail FROM parameter WHERE pid='6'");
$row_ansp = $res_ansp->fetch_array();

$res_kontakt = $db->query("SELECT wert1 tel, wert2 fax FROM parameter WHERE pid='5'");
$row_kontakt = $res_kontakt->fetch_array();

$res_stud = $db->query("SELECT nachname, vorname, postrasse, poplz, poort, ag, jahrgang FROM stud WHERE uid='$uid1'");
$row_stud = $res_stud->fetch_array();

$res_dst = $db->query("SELECT dst_id FROM stan_antrag WHERE saaid='$saaid'");
$row_dst = $res_dst->fetch_array();

$result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_dst[dst_id]'");
$rowdata2 = $result_data2->fetch_array();

 if($rowdata2[0] == '1'){
   $result_data3 = $db->query("SELECT bez
                                     , str
                                     , plz
                                     , postfach
                                     , plz_postfach
                                     , ort
                                     , bundesland
                                     , staat
                                  FROM stan_dienststellen
                                 WHERE dst_id='$row_dst[dst_id]'");
    $rowdata3 = $result_data3->fetch_array();

 }else{

    $result_data3 = $db->query("SELECT bez
                                      , str
                                      , plz
                                      , postfach
                                      , plz_postfach
                                      , ort
                                      , bundesland
                                      , staat
                                   FROM stan_dienststellen_tmp
                                  WHERE dst_id='$row_dst[dst_id]'");
     $rowdata3 = $result_data3->fetch_array();
  }



if(!isset($hist)){
 $heute_format = date("d.m.Y", mktime(0, 0, 0, date("m"), date("d"), date("Y")));  // ISO-8601 Format wie in der Datenbank: Formatierung f&uuml;r Vergleiche erforderlich
}else{
 $res_dat = $db->query("SELECT min(date_format(datum, '%d.%m.%Y')) datum FROM stan_printqueue_hist WHERE zuweisung='EZP' AND admin='$user_admin'");
 $row_dat = $res_dat->fetch_array();

 $heute_format = $row_dat[datum];
}

$pdf->Image('anschreiben/logo.jpg', 116, 10,64); #https://www.fpdf.de/funktionsreferenz/?funktion=Image


$pdf->SetFont('Arial', '', 12);
$pdf->SetY(59.5);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$rowdata3[bez]", 0, 0, 'L');

$pos = $pdf->GetY()+4;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$rowdata3[str]", 0, 0, 'L');

$pos = $pdf->GetY()+4;
/*
$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$row_stud[postrasse]", 0, 0, 'L');
*/

$pos = $pdf->GetY()+4;
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$rowdata3[plz] $rowdata3[ort]", 0, 0, 'L');




$pdf->SetFont('Arial', 'B', 10);
$pdf->SetY(56);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Zulassung", 0, 'L');


$pdf->SetFont('Arial', '', 8);
$pos=$pdf->GetY()+3.7;
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Ludwigsburg,", 0, 'L');


$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$heute_format", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Bearbeiter/in", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_ansp[name]", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Telefon", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_kontakt[tel]", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Fax", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_kontakt[fax]", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "e-mail", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_ansp[mail]", 0, 'R');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY(45);
$pdf->SetX(23);
$pdf->MultiCell(80, 3, "HS Ludwigsburg ".uchr(149)." Postfach 0489 ".uchr(149)." 71604 Ludwigsburg", 0, 'L');


########Kontaktdaten HS Ende #####################

######## Betreff #################################

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY(96.2);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Ausbildung im gehobenen Verwaltungsdienst;", 0, 'L');


$pos=$pdf->GetY()+1.8;

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(165, 4.8, "Zuweisung der Anwärterin / des Anwärters $row_stud[vorname] $row_stud[nachname] in der praktischen Ausbildung", 0, 'L');

######## Betreff Ende ############################

$pos=$pdf->GetY()+5.0;

$pdf->SetFont('Arial', 'BU', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Anlagen", 0, 'L');

$pos=$pdf->GetY()+1.8;

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "ACHTUNG: aktualisierter Beurteilungsvordruck", 0, 'L');

$pdf->SetFont('Arial', 'BI', 12);
$pdf->SetY($pos);
$pdf->SetX(119);
$pdf->MultiCell(150, 3, "(zum Download)", 0, 'L');


$pos=$pdf->GetY()+1.8;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Weitere Hinweise zur Zuweisung", 0, 'L');


$pdf->SetFont('Arial', 'BI', 12);
$pdf->SetY($pos);
$pdf->SetX(86);
$pdf->MultiCell(150, 3, "(zum Download)", 0, 'L');


$pos=$pdf->GetY()+1.8;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Auszug aus der Ausbildungs- und Prüfungsordnung für ", 0, 'L');


$pos=$pdf->GetY()+1.8;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "den gehobenen Verwaltungsdienst", 0, 'L');


$pdf->SetFont('Arial', 'BI', 12);
$pdf->SetY($pos);
$pdf->SetX(90);
$pdf->MultiCell(150, 3, "(zum Download)", 0, 'L');

$pos=$pdf->GetY()+1.8;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Unterbrechungen während der praktischen Ausbildung", 0, 'L');


$pdf->SetFont('Arial', 'BI', 12);
$pdf->SetY($pos);
$pdf->SetX(127);
$pdf->MultiCell(150, 3, "(zum Download)", 0, 'L');



#################################################################################

$pos=$pdf->GetY()+6;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Sehr geehrte Damen und Herren,", 0, 'L');


$pos=$pdf->GetY()+4.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Sie haben Frau/Herrn $row_stud[nachname], $row_stud[vorname] ein Praktikum bei Ihnen zugesagt.", 0, 'J');


$pos=$pdf->GetY()+4.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Wir weisen Ihnen o.g. Regierungsinspektoranwärter/in gemäß § 23  (3) Ausbildungs- und Prüfungsordnung für den gehobenen Verwaltungsdienst (APrOVw gD, GBl. vom 26.09.2007,S. 400, zuletzt geändert durch Verordnung vom 03.08.2010, GBl. S. 731) mit Ihrem Einverständnis im folgenden Zeitraum zu:", 0, 'J');





#$jahrgang='$jahrgang'; // wird von pdf_gen.php geliefert
#$_POST[termin] = '1';


$db = dbconnect();


$columns = 4; //five columns


$pos=$pdf->GetY()+3.0;


$pdf->SetY($pos);

	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);

	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;


	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 29.4;
	$header_type[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[0]['TEXT'] = "Zeitraum";


	$header_type[1]['WIDTH'] = 59.9;
	$header_type[1]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[1]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[1]['TEXT'] = "Ausbildungsstelle";

	$header_type[2]['WIDTH'] = 35;
	$header_type[2]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[2]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[2]['TEXT'] = "Abteilung";

	$header_type[3]['WIDTH'] = 44;
	$header_type[3]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[3]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[3]['TEXT'] = "Vertiefungsbereich";



	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);

	$pdf->Draw_Header();

	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;

	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);

#	$fsize = 10;
#	$colspan = 1;
#	$rr = 255;

        $db = dbconnect();
        $query = "SELECT date_format(beginn, '%d.%m.%Y') beginn, date_format(beginn, '%Y%m%d') beginnform, date_format(ende, '%d.%m.%Y') ende, abteilung, b.bezeichnung
                    FROM stan_antrag a, stan_vertiefungsbereich b
                   WHERE a.vert_bereich=b.vbid
                     AND a.saaid='$saaid'
                   ORDER BY beginnform ASC";
        $result = $db->query ($query)
           or die ("Cannot execute query1");



        while ($row = $result->fetch_array())
	{
		$data = Array();



/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
			$data[0]['TEXT'] = "$row[beginn] -\n$row[ende]";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC

			$data[1]['TEXT'] = "$rowdata3[bez]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";

			$data[2]['TEXT'] = "$row[abteilung]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";

			$data[3]['TEXT'] = "$row[bezeichnung]";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";



		$pdf->Draw_Data($data,NULL,10); // -->letzter Parameter Höhe der Datenspalte. Neu prgrammiert in prints/class.fpdf_table.php am 15.04.2009
	}

	$pdf->Draw_Table_Border();





$pos=$pdf->GetY()+3.4;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->SetLeftMargin(23); #Für HTML

# Block mit Fettdruck durch Bild ersetzt
$pdf->Image('anschreiben/ZEP_Block_apro.jpg', 24,$pos,167); #https://www.fpdf.de/funktionsreferenz/?funktion=Image
#Originalblock:
#$pdf->SetFont('Arial', '', 12);
#$pdf->SetY($pos);
#$pdf->SetX(23);
#$pdf->MultiCell(168, 4.8, "Beachten Sie bitte die in den §§ 23 bis 25 APrOVw gD geregelten Vorschriften zur praktischen Ausbildung (insbesondere § 25 APrOVw gD).\nBitte erstellen Sie eine Beurteilung, die Sie uns nach Beendigung der Studieneinheit im Original übersenden. Den Beurteilungsvordruck, die APrOVw gD und weitere ausbildungsrelevante Regelungen und Hinweise finden Sie  zum Download unter:", 0, 'J');


$pos=$pdf->GetY()+28.5;

$pdf->SetFont('Arial', 'U', 10);
$pdf->SetTextColor(0,0,255);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "www.hs-ludwigsburg.de > Hochschule > Studium > Public Management B.A. > Detailinformationen zum Studium > Praxis und Bachelorarbeit", 0, 'J');
$pdf->SetTextColor(0,0,0);


#$pdf->MultiCell(168, 4.8, , 0, 'J');

$pos=$pdf->GetY()+7.0;



#$pdf->SetFont('Arial', '', 7);
#$pdf->SetY($pos);
#$pdf->SetX(70);
#$pdf->MultiCell(168, 4.8, "Hochschule>Studium>Public Management B.A.>Detailinformationen zum Studium>Praxis und Bachelorarbeit", 0, 'J');


$pos=$pdf->GetY()+3.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Wir bedanken uns für Ihre Bereitschaft auch bei der praktischen Ausbildung während dem Vorbereitungsdienst mitzuwirken!", 0, 'J');



$pos=$pdf->GetY()+3.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Mit freundlichen Grüßen", 0, 'J');


$pos=$pdf->GetY()+2.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "gez.\n$row_ansp[name]", 0, 'J');


$pos=$pdf->GetY()+1.0;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Hinweis: Aus technischen Gründen erhalten Sie auch bei geringfügigen Änderungen ein neues Zuweisungsschreiben.", 0, 'J');
?>